This documentation is for older versions of WSO2 products. View documentation for more recent releases of Identity Server.
Tested DBMSs - Compatibility of WSO2 Products - WSO2 Documentation
Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 112 Next »

WSO2 supports the most common DBMS such as MySQL, MS SQL Server, Oracle, H2, DB2, Derby.

Product

Version/s

Tested DBMS/s




WSO2 Enterprise Integrator

6.4.0
  • Oracle 12c
  • MySQL 5.7
  • SQL Server 2016
6.3.0
  • Oracle 11g/12c

  • MySQL 5.6/5.7

  • SQL Server 2014

6.2.0
  • Mysql 5.6
  • Oracle 12c
6.1.0
  • MySQL 5.6/5.7
  • Oracle12c
  • PostgreSQL 9.5
  • SQL Server 2014




WSO2 Enterprise Service Bus




5.0.0
  • MySQL 5.5/5.7
  • Oracle 12c
  • SQL Server 2012
  • PostgreSQL 9.4/9.5/9.6.x
  • MariaDB 10.0
4.9.0
  • MySQL 5.6
  • SQL Server  2008  
  • Oracle 11.2.0.1.0
  • PostgreSQL 9.3.9/9.5.3
  • MariaDB 10.0.20
4.8.1
  • MySQL 5.5
  • SQL Server 2008
  • Oracle 11.2.0.1.0/12.1.0.2.0
4.8.0
  • MySQL 5.5/5.6.19
  • SQL Server 2008
  • Oracle 11.2.0.1.0

4.5.0

  • MySQL 5.5.24


WSO2 ESB Analytics

5.0.0
  • MySQL 5.6
  • SQL Server 2012
  • Oracle 12.1.0.2.0
  • PostgreSQL 9.5
  • MariaDB 10.1


WSO2 Application Server

  • 5.3.0
  • 5.2.1
  • 5.2.0
  • 5.1.0
  • 5.0.0
  • MySQL 5.5




WSO2 Governance Registry





5.2.0
  • MySQL 5.5.32
  • SQL Server 2012
  • Oracle 12.1.0.2.0/11.2.0.1.0
  • DB2 10.5
  • PostgreSQL 9.3
  • MariaDB 10.0.21
5.0.0
  • MySQL 5.5.32
  • SQL Server 2012
  • Oracle 11.2.0.1.0
  • DB2 10.5
  • PostgreSQL 9.1
  • MariaDB 10.0.20
4.6.0
  • MySQL 5.5.32
  • Oracle 11.2.0.1.0
  • PostgreSQL 9.1

4.5.0

  • MySQL 5.5.24
  • SQL Server 2005
  • Oracle 11.2

4.0.0

  • MySQL 5.0.75/5.1.43
  • SQL Server 2008 R2
  • Oracle 11.1.0.7.0

3.6.0

  • MySQL 5.0.75/5.1.43
  • SQL Server 2005/ 2008 R2
  • Oracle 10.2.0/11.1.0.7.0/RAC 11g/11.2.0.1.1
  • DB2 9
  • Derby 10.7.1.1
  • PostgreSQL 8.4




WSO2 API Manager










2.6.0
  • MySQL 5.7
  • SQL Server 2016
  • Oracle 12 c
  • PostgreSQL 9.5
2.5.0
  • MySQL 5.7
  • Oracle 12c R1, 12c R2, 11g
  • DB2 10.5
  • PostgreSQL 9.5
  • MSSQL 2012, 2014
2.2.0
  • MySQL 5.7
  • Oracle 12c, 11g
  • DB2 10.5
  • PostgreSQL 9.5
  • MSSQL 2012
2.1.0
  • MySQL 5.6/ 5.7
  • SQL Server 2012/2014/2016
  • Oracle 12.1.0.2.0
  • DB2 10.5
  • PostgreSQL 9.5.3/9.6.x/10.3
2.0.0
  • MySQL 5.6/ 5.7
  • SQL Server 2012/2014/2016
  • Oracle 12.2.0.1
  • DB2 10.5
  • PostgreSQL 9.5.3
1.10.0
  • MySQL 5.6/ 5.7
  • SQL Server 2008
  • Oracle 12.1.0.2.0
  • DB2 10.5
  • PostgreSQL 9.4.4
1.9.0
  • MySQL 5.6.19
  • SQL Server 2008
  • Oracle 11.2.0.1.0
  • PostgreSQL 9.3.6
  • MariaDB 10.0.20 with MySQL Connector 5.1.36
1.8.0
  • MySQL 5.5.34
  • SQL Server 2008
  • PostgreSQL 9.3
1.7.0
  • MySQL 5.5.34
  • SQL Server 2008
  • Oracle 11.2.0.1.0/ 12.1.0.2.0
  • PostgreSQL 9.1
1.6.0
  • MySQL 5.5.34

1.0.0

  • MySQL 5.5.24
  • Oracle 11.2




WSO2 API Manager Analytics 




2.6.0
  • Oracle 12c
  • PostgreSQL 9.5
  • MySQL 5.7
  • SQL Server 2016
2.5.0
  • MySQL 5.7
2.2.0
  • MySQL 5.7
  • Oracle 12c, 11g
  • DB2 10.5
  • PostgreSQL
  • MSSQL 2012
2.1.0
  • MySQL 5.6/5.7
  • SQL Server 2012/2014
  • Oracle 12.1.0.2.0/11.2.0.1.0
  • PostgreSQL 9.5.3/9.6.x
2.0.0
  • MySQL 5.6/5.7
  • SQL Server 2012/2014
  • Oracle 12.1.0.2.0/11.2.0.1.0
  • PostgreSQL 9.5.3




WSO2 Stream Processor


4.2.0
  • H2 1.4.187
  • MySQL 5.7
  • MSSQL 2017
  • Oracle 11.2.0.2-x
  • PostgreSQL 9.6
4.1.0
  • H2 1.4.187
  • MySQL 5.7
  • MSSQL 2017
  • Oracle 11.2.0.2-x
  • PostgreSQL 9.6
4.0.0
  • H2 1.4.187
  • MySQL 5.7
  • MSSQL 2017
  • Oracle 11.2.0.2-x
  • PostgreSQL 9.6


WSO2 Storage Server

1.5.0
  • MySQL 14.14 Distrib 5.5.37  
  • SQL Server 2008/2012
  • PostgreSQL 9.1.13
  • Cassandra 2.0
  • DB2 Express-C 10.5



WSO2 Identity Server

Note

If you use any of the following WSO2 Identity Server versions with MySQL version 5.7.12, you may observe that the server hangs intermittently.

  • WSO2 Identity Server 5.4.0
  • WSO2 Identity Server 5.3.0
  • WSO2 Identity Server 5.2.0

This is due to a known issue with MySQL version 5.7.12.
Therefore, if you are using MySQL with the WSO2 Identity Server versions mentioned above, we recommend using MySQL version 5.7.15 or later.






5.7.0
  • MySQL 5.7
  • Oracle 12c
  • SQL Server 2016
5.4.0
  • MySQL 5.7
  • SQL Server 2014
5.3.0
  • MySQL 5.6/5.7
  • SQL Server  2012
  • Oracle 12.1.0.2
  • PostgreSQL 9.3.6/10.3
5.2.0
  • MySQL 5.7.15
  • SQL Server 2012/2014
  • PostgreSQL 9.5.3
5.1.0
  • MySQL 5.5.47
  • SQL Server 2008
  • Oracle 12.1.0.2
  • PostgreSQL 9.1/9.3
  • MariaDB 10.0.20
5.0.0
  • MySQL 5.5.37
  • SQL Server 2008
  • Oracle 11.2.0.1.0
  • DB2 10.5
  • MariaDB 10.0.20 with MySQL Connector 5.1.36
4.6.0
  • SQL Server 2008
  • Oracle 11.2.0.1.0
4.5.0
  • MySQL 5.5.29
  • SQL Server 2008
  • Oracle 11.2.0.2.0
  • PostgreSQL 9.3.1
WSO2 IS Analytics5.2.0
  • MySQL 5.7.15
  • SQL Server  2014
  • Oracle 12.1.0.2.0
WSO2 Business Activity Monitor2.5.0
  • MariaDB 10.0.20 with MySQL Connector 5.1.36



WSO2 Business Process Server



3.2.0
  • MySQL 5.5.34/ 5.6.23
  • SQL Server  2012
  • Oracle 11.2.0.1.0/12.1.0.2.0
3.1.0
  • MySQL 5.5.34
  • Oracle 11.2.0.1.0
3.0.0
  • MySQL 5.5.34
  • PostgreSQL 9.1
2.1.2
  • MySQL 5.5.34
  • Oracle 11.2.0.1.0/ 11.2.0.1.0 RAC
WSO2 Data Analytics Server


3.0.1
  • MySQL 5.6
  • SQL Server 2016
  • Oracle 11.2.0.1.0/12.1.0.2.0  
  • DB2 10.5
  • PostgreSQL 9.3.10
  • Cassandra 2.0.11
3.0.0
  • MySQL 5.5.37
  • SQL Server 2012
  • Oracle 11.2.0.1.0/12.1.0.2.0  
  • DB2 10.5
  • PostgreSQL 9.3.10
  • Cassandra 2.0.11
  • MariaDB 10.0.20 with MySQL Connector 5.1.36



WSO2 Data Services Server




3.5.1
  • Mysql 5.6
  • Oracle 12c
3.5.0
  • Mysql 5.6
  • Oracle 12c
3.2.2
  • MySQL 5.5
3.1.1
  • MySQL 5.5
  • PostgreSQL 9.1
3.1.0
  • MySQL 5.5
WSO2 App Manager

1.0.0
  • MySQL 5.5.34
  • Oracle 11.2.0.1.0
1.1.0
  • MySQL 5.5.34/5.6.25
  • Oracle 12.1.0.2.0
WSO2 Dashboard Server2.0.0
  • Oracle 11.2.0.1.0/12.1.0.2.0  



WSO2 Enterprise Store

2.1.0
  • MySQL 5.6/5.7
  • Oracle 12.1.0.2.0  
  • PostgreSQL 9.4.8
2.0.0
  • MySQL 5.5
  • SQL Server  2012
  • Oracle 11.2.0.1.0
  • DB2 10.5
  • PostgreSQL 9.1
  • MariaDB 10.0.20



WSO2 Message Broker


3.1.0
  • MySQL 5.6.27
  • SQL Server  2012
  • Oracle 11.2.0.1.0/12.1.0.2.0  
  • PostgreSQL 9.4.5
3.0.0
  • MySQL 5.6
  • SQL Server  2012
  • Oracle 11.2.0.1.0/12.1.0.2.0  
WSO2 Enterprise Mobility Manager

2.0.0
  • MySQL 5.6.27
  • SQL Server  2012
  • Oracle 11g
  • PostgreSQL 9.4.5
1.1.0
  • MySQL 5.5
WSO2 User Engagement Server1.0.0
  • MySQL 5.5
  • Oracle 11g



  • No labels